GET staffmembers/{userIdentifier}/schedule?startDate={startDate}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated user who is either StaffMember
- Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| startDate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Wse.Models.Views.ScheduledClassViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| ClassId | string |
None. |
|
| ClassCode | string |
None. |
|
| ClassType | integer |
None. |
|
| NumberOfSeats | integer |
None. |
|
| NumberOfStudents | integer |
None. |
|
| IsComplete | boolean |
None. |
|
| NumberOfStudentsOnStandbyList | integer |
None. |
|
| MaxNumberOfStudentsOnStandbyList | integer |
None. |
|
| IsClosed | boolean |
None. |
|
| IsOnline | boolean |
None. |
|
| StartDate | date |
None. |
|
| Duration | integer |
None. |
|
| Categories | Collection of PearsonEnglish.LearningServices.Core.Models.Views.CategoryViewModel |
None. |
|
| CategoriesAbbreviations | string |
None. |
|
| ClassDescription | string |
None. |
|
| CompanyId | globally unique identifier |
None. |
|
| AcceptsStandby | boolean |
None. |
|
| TeacherId | globally unique identifier |
None. |
|
| TeacherSsdsId | string |
None. |
|
| IsVisibleInGroup | boolean |
None. |
|
| IsB2B | boolean |
None. |
|
| IsStandbyListFull | boolean |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| IsTechnologyEnabledCenter | boolean |
None. |
|
| IsScheduledInOnlineCenter | boolean |
None. |
|
| IsTeen | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "560c5d50-81eb-4b70-a87f-c89f5b7aa9ce",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-03-28T00:11:09.4868683+00:00",
"Duration": 9,
"Categories": [
{
"Id": "5996af80-8d1e-48f6-8d02-260d757ec262",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "5996af80-8d1e-48f6-8d02-260d757ec262",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "645cf09b-75ab-4072-9743-c5c11e9c1f2a",
"AcceptsStandby": true,
"TeacherId": "7774b27d-6aeb-4293-bcac-c07562bec1cf",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "e451cc2f-066d-4324-bd99-703c4c66f32a",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
},
{
"Id": "560c5d50-81eb-4b70-a87f-c89f5b7aa9ce",
"ClassId": "sample string 2",
"ClassCode": "sample string 3",
"ClassType": 4,
"NumberOfSeats": 5,
"NumberOfStudents": 6,
"IsComplete": true,
"NumberOfStudentsOnStandbyList": 1,
"MaxNumberOfStudentsOnStandbyList": 7,
"IsClosed": true,
"IsOnline": true,
"StartDate": "2026-03-28T00:11:09.4868683+00:00",
"Duration": 9,
"Categories": [
{
"Id": "5996af80-8d1e-48f6-8d02-260d757ec262",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
},
{
"Id": "5996af80-8d1e-48f6-8d02-260d757ec262",
"Type": "sample string 2",
"Sequence": 1,
"Path": "sample string 3",
"Attributes": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"ChildCategories": []
}
],
"CategoriesAbbreviations": "sample string 10",
"ClassDescription": "sample string 11",
"CompanyId": "645cf09b-75ab-4072-9743-c5c11e9c1f2a",
"AcceptsStandby": true,
"TeacherId": "7774b27d-6aeb-4293-bcac-c07562bec1cf",
"TeacherSsdsId": "sample string 14",
"IsVisibleInGroup": true,
"IsB2B": true,
"IsStandbyListFull": false,
"CenterId": "e451cc2f-066d-4324-bd99-703c4c66f32a",
"CenterName": "sample string 17",
"IsTechnologyEnabledCenter": true,
"IsScheduledInOnlineCenter": true,
"IsTeen": true
}
]